FSImp - Compatability


Compatability between FSImp and Windows Vista

Some versions of Windows Vista (maybe also Windows 7 ?) no longer have a file called D3DRM.DLL. Without this file FSImp (up to and including 2.80) will not be loaded by X-Plane. This file can be obtained for your windows version, for free, by searching the internet, downloading and copying it into your WINDOWS/SYSTEM32 folder.

Compatability between FSImp and X-Plane

  • FSImp 2.60+ works also with X-Plane 8.40+
  • FSImp 2.60+ works also with X-Plane 9+
  • Some few versions of X-Plane and FSImp do not run
  • Some features of FSImp do not work in earlier versions of X-Plane.
  • FSImp has not been tested with every release of X-Plane, especially not BETA versions.
  • On some systems, if the FSImp performance parameter GL Element Lists or GL Quads is enabled, a system crash (eg ATIOGLXX.DLL) may occur
  • FSImp 1.21 crashes when using FS2004

    X-Plane FSImp 1.00 FSImp 1.05 FSImp 1.21 FSImp 1.22 FSImp 1.75 FSImp 1.95 FSImp 2.15
    6.70 No gnd override No gnd override No gnd override No gnd override No gnd override
    7.41 OK OK OK OK OK
    7.50 OK OK OK OK OK
    8.00 No gnd override No gnd override No gnd override No gnd override No gnd override
    8.03 Not work Not work Not work Not work Not work
    8.04 OK OK OK OK OK
    8.11 OK
    8.40 OK
    8.50 XP apt lites


    Compatability between FSImp and other products

    Product UK VFR Scenery for X-Plane in 3 parts
    Description The England & Wales series of quality scenery upgrades for X-Plane use award winning aerial photography from Getmapping plc and elevation data from Intermap Technologies. A wonderful companion for FSImp and the numerous ADD-ON MSFS UK sceneries available.
    Screenshot
    Compatability Fits very well together with FSImp.
    Link www.circle-software.co.uk
    forum


    FSImp plugin for X-Plane